Skip to content

Incident Comment Query



GET /api/v1/incidents/comment/{incident_uuid}/list

Overview

Route Parameters

Parameter Name Type Required Description
incident_uuid string Y Incident uuid
Allow empty: False

Query Parameters

Parameter Name Type Required Description
pageSize integer Number of items per page
Allow empty: False
Example: 10
pageIndex integer Page number
Allow empty: False
Example: 1

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/incidents/comment/incident_xxxx/list?pageIndex=1&pageSize=20' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "incidentsUUID": "incident_xxxx",
                "workspaceUUID": "wksp_xxxx",
                "comment": "aaaaa<div><br></div>",
                "extend": {
                    "links": [],
                    "members": []
                },
                "id": 33,
                "uuid": "inccmt_xxx",
                "status": 0,
                "creator": "acnt_xxx",
                "updator": "",
                "createAt": 1768964545,
                "deleteAt": -1,
                "updateAt": -1,
                "creatorInfo": {
                    "uuid": "acnt_xxx",
                    "status": 0,
                    "wsAccountStatus": 0,
                    "username": "xxx",
                    "name": "xxx",
                    "iconUrl": "",
                    "email": "xxx",
                    "mobile": "xxxx",
                    "acntWsNickname": ""
                },
                "updatorInfo": {},
                "attachments": []
            }
        ],
        "pageInfo": {
            "pageIndex": 1,
            "pageSize": 20,
            "count": 1,
            "totalCount": 1
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "xxxxx"
}